Subject: Re: linux-next: build warnings after merge of the access_once tree

From: Christian Borntraeger <[email-masked]>
Date: Thu, 26 Mar 2015 19:54:20 +0100

Am 26.03.2015 um 18:52 schrieb Linus Torvalds:
> On Thu, Mar 26, 2015 at 10:24 AM, Christian Borntraeger
> <[email-masked]> wrote:
>>
>> Oh I just added that check back then because some guy named
>> Linus suggested something like that ;-)
> 
> Yes, my bad.
> 
> In my defense, that was when we were talking about ACCESS_ONCE()
> causing bugs with gcc due to the blind use of "volatile" that it turns
> out gcc doesn't necessarily like.
> 
> With the memcpy fallback (and the simpler "scalar pointer copy by
> hand"), I think READ_ONCE() (and WRITE_ONCE()) are safe.
> 
>                       Linus
> 

FWIW, I dropped the warning fixp patch from my linux-next branch so
everything should be back to normal and we can merge Peters patch for 4.0 or
4.1.

Christian